aboutsummaryrefslogtreecommitdiffstats
path: root/testing/pianobar/APKBUILD
diff options
context:
space:
mode:
authorWilliam Pitcock <nenolod@dereferenced.org>2011-04-24 00:51:29 -0500
committerWilliam Pitcock <nenolod@dereferenced.org>2011-04-24 00:51:29 -0500
commit685e7433613cbc927932a1156366051786ed1031 (patch)
tree1086f8676dddd85d9058d376503ed236aa450c72 /testing/pianobar/APKBUILD
parent7cebd2b2b9e431a89ce1fee5745f216b4b4c21e4 (diff)
downloadaports-685e7433613cbc927932a1156366051786ed1031.tar.gz
aports-685e7433613cbc927932a1156366051786ed1031.tar.bz2
aports-685e7433613cbc927932a1156366051786ed1031.tar.xz
testing/pianobar: new aport
Diffstat (limited to 'testing/pianobar/APKBUILD')
-rw-r--r--testing/pianobar/APKBUILD38
1 files changed, 38 insertions, 0 deletions
diff --git a/testing/pianobar/APKBUILD b/testing/pianobar/APKBUILD
new file mode 100644
index 0000000000..edc32c116e
--- /dev/null
+++ b/testing/pianobar/APKBUILD
@@ -0,0 +1,38 @@
+# Contributor: William Pitcock <nenolod@dereferenced.org>
+# Maintainer: William Pitcock <nenolod@dereferenced.org>
+pkgname=pianobar
+pkgver=2011.04.10
+pkgrel=0
+pkgdesc="commandline player for pandora webradio"
+url="https://github.com/PromyLOPh/pianobar"
+arch="all"
+license="MIT"
+depends=
+depends_dev="faad2-dev libmad-dev libao-dev"
+makedepends="$depends_dev wget"
+install=""
+subpackages="$pkgname-doc"
+source="saveas-https://github.com/PromyLOPh/pianobar/tarball/${pkgver}/pianobar-${pkgver}.tar.gz"
+
+_builddir="${srcdir}/PromyLOPh-pianobar-8503f28"
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ make CC='gcc -std=c99' PREFIX="/usr" || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" PREFIX="/usr" install || return 1
+}
+
+md5sums="813d3a9ee5dc23d6a68dd2a020096d06 pianobar-2011.04.10.tar.gz"